classification
Title: _collectionsmodule.c: refleak
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Suman.Saha, georg.brandl, pitrou, python-dev
Priority: normal Keywords:

Created on 2011-09-20 14:53 by Suman.Saha, last changed 2012-02-15 01:51 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
python_patch3 Suman.Saha, 2011-09-20 14:53 Patch review
Messages (4)
msg144332 - (view) Author: Suman Saha (Suman.Saha) Date: 2011-09-20 14:53
Something that is allocated using PyDict_Type.tp_repr is not freed on one error path.
msg144495 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-09-24 08:32
Looks correct but awkwardly indented.
msg153385 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-15 01:50
New changeset 86adb5c7a9d4 by Antoine Pitrou in branch '3.2':
Issue #13015: Fix a possible reference leak in defaultdict.__repr__.
http://hg.python.org/cpython/rev/86adb5c7a9d4

New changeset 7cfce717ceee by Antoine Pitrou in branch 'default':
Issue #13015: Fix a possible reference leak in defaultdict.__repr__.
http://hg.python.org/cpython/rev/7cfce717ceee

New changeset 7611fb3e19c6 by Antoine Pitrou in branch '2.7':
Issue #13015: Fix a possible reference leak in defaultdict.__repr__.
http://hg.python.org/cpython/rev/7611fb3e19c6
msg153386 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-02-15 01:51
Patch now committed, thank you!
History
Date User Action Args
2012-02-15 01:51:46pitrousetstatus: open -> closed

versions: + Python 2.7, Python 3.2
nosy: + pitrou

messages: + msg153386
resolution: fixed
stage: patch review -> resolved
2012-02-15 01:50:03python-devsetnosy: + python-dev
messages: + msg153385
2011-09-24 08:32:57georg.brandlsetnosy: + georg.brandl
messages: + msg144495
2011-09-21 19:35:43skrahsettitle: Resource is not released before returning from the functiion -> _collectionsmodule.c: refleak
stage: patch review
components: + Extension Modules
versions: + Python 3.3
2011-09-20 14:53:25Suman.Sahacreate